// src/modules/crm/mobile/page-crm-training/report.interface.ts

// 场景接口
export interface Scene {
  id: string;
  name: string;
  description: string;
  level: string;          // 对应难度值：easy/medium/hard
  customerType: string;   // 对应客户类型值
  initialMessage: string; // 场景初始消息
}

// 报告接口
export interface Report {
  id: string;
  name: string;               // 报告名称
  sceneId?: string;           // 关联场景ID（可选）
  date: string;               // 报告日期
  difficulty: string;         // 难度级别
  customerRole: string;       // 客户角色
  score?: number;             // 总分（可选）
  evaluations: {              // 各项评估分数
    responsiveness: number;   // 反应力
    话术: number;             // 话术
    persuasion: number;       // 说服力
    professionalism: number;  // 专业度
  };
  summary: string;            // 总结评语
}

// 可选：其他相关类型
export interface SceneLevel {
  value: string;  // easy/medium/hard
  label: string;  // 初级/中级/高级
}

export interface CustomerType {
  value: string;  // new/returning/vip 等
  label: string;  // 新客户/回头客/VIP客户 等
}